Lines Matching refs:echo
84 sh) echo 'Use "sh enquire.c", not "sh < enquire.c"' >&2; exit 1;;
85 *) echo 'Filename must end in ".c"' >&2; exit 1;;
88 then echo Would overwrite test.c - try it somewhere safer >&2; exit 1
91 echo Testing for needed CFLAGS ...
92 echo "main(){char c; c=0;}" > test.c
96 echo '*** "'$CC ${1+"$@"} -o enquire test.c $LIBS'" failed'
97 echo '*** Giving up'
101 echo "main(){signed char c; c=0;}" > test.c
103 then echo " Signed char ok"
106 echo " Signed char not accepted; using $CFLAGS"
108 echo "main(){unsigned char c; c=0;}" > test.c
110 then echo " Unsigned char ok"
113 echo " Unsigned char not accepted; using $CFLAGS"
115 echo "main(){unsigned short s;unsigned long l;s=0;l=0;}" > test.c
117 then echo " Unsigned short and long ok"
120 echo " Unsigned short or long not accepted; using $CFLAGS"
122 echo "void foo(){} main(){foo();}" > test.c
124 then echo " Void ok"
127 echo " Void not accepted; using $CFLAGS"
131 echo Compiling $0 ...
134 case `echo 1 "$@" 2` in
135 "1 2") echo ' *** There is a bug in your shell expanding "$@"!'
136 echo ' *** Taking remedial action' ;;
141 "") echo " $CC" $CFLAGS "$@" $0 -o enquire $LIBS
143 { echo '***' Try setting some CFLAGS; exit 1; }
145 *) echo " $CC" $CFLAGS "$@" -DID="\"$ID\"" $0 -o enquire $LIBS
147 { echo '***' Try setting some CFLAGS; exit 1; }
149 echo "Producing enquire.out limits.h and float.h ..."
150 echo " enquire > enquire.out"
151 ./enquire > enquire.out || echo ' *** Some problems: see enquire.out'
152 echo " enquire -l > limits.h"
153 ./enquire -l > limits.h || echo ' *** Some problems: see limits.h'
154 echo " enquire -f > float.h"
155 ./enquire -f > float.h || echo ' *** Some problems: see float.h'
156 echo "Verifying the contents of limits.h and float.h ..."
157 echo " $CC" -DVERIFY $CFLAGS "$@" $0 -o verify $LIBS
159 { echo '***' Failed; exit 1; }
160 echo " verify -fl > verify.out"
162 echo ' *** Some problems: see verify.out'
163 echo Done